PanePropertiesModel

17 Sep 20251 minute to read

Interface for a class PaneProperties

Properties

collapsed boolean

Specifies whether a pane is collapsed or not collapsed at the initial rendering of splitter.

import { render } from "react-dom";
import * as React from "react";
import { SampleBase } from "./sample-base";
import { SplitterComponent, PanesDirective,  PaneDirective } from "@syncfusion/ej2-react-layouts";

export class Basic extends SampleBase<{}, {}> {

}
public render(): JSX.Element {
    return (
      <SplitterComponent height="100px">
        <PanesDirective>
        <PaneDirective collapsed={false}/>
        <PaneDirective  collapsed={true}/>
        </PanesDirective>
      </SplitterComponent>
      ); 
  }
}

collapsible boolean

Specifies whether a pane is collapsible or not collapsible.

import { render } from "react-dom";
import * as React from "react";
import { SampleBase } from "./sample-base";
import { SplitterComponent, PanesDirective,  PaneDirective } from "@syncfusion/ej2-react-layouts";

export class Basic extends SampleBase<{}, {}> {
}
public render(): JSX.Element {
    return (
       <SplitterComponent height="100px">
        <PanesDirective>
        <PaneDirective collapsible={true}/>
        <PaneDirective  collapsible={true}/>
        </PanesDirective>
      </SplitterComponent>
      ); 
  }
}

content string|HTMLElement

Specifies the content of split pane as plain text, HTML markup, or any other JavaScript controls.

cssClass string

Specifies the CSS class names that defines specific user-defined
styles and themes to be appended on corresponding pane of the Splitter.
It is used to customize the Splitter control panes.
One or more custom CSS classes can be specified to the Splitter panes.

max string

Specifies the maximum size of a pane. The pane cannot be resized if it is more than the specified maximum limit.

min string

Specifies the minimum size of a pane. The pane cannot be resized if it is less than the specified minimum size.

resizable boolean

Specifies the value whether a pane is resizable. By default, the Splitter is resizable in all panes.
You can disable this for any specific panes using this property.

size string

Configures the properties for each pane.

HelpBot Assistant

How can I help you?

PanePropertiesModel

12 Sep 20251 minute to read

Interface for a class PaneProperties

Properties

collapsed boolean

Specifies whether a pane is collapsed or not collapsed at the initial rendering of splitter.

 import { Component} from '@angular/core';

@Component({
    selector: 'app-root',
    template: '<ejs-splitter height="100px"><e-panes><e-pane  [collapsed]="true"><ng-template #content><div class="content">Left pane</div></ng-template></e-pane><e-pane  [collapsed]="false"><ng-template #content><div class="content">Right pane</div></ng-template></e-pane></e-panes></ejs-splitter>'
})
export class AppComponent {

}

collapsible boolean

Specifies whether a pane is collapsible or not collapsible.

import { Component} from '@angular/core';

@Component({
    selector: 'app-root',
    template: '<ejs-splitter height="100px"><e-panes><e-pane  [collapsible]="true"><ng-template #content><div class="content">Left pane</div></ng-template></e-pane><e-pane  [collapsible]="true"><ng-template #content><div class="content">Right pane</div></ng-template></e-pane></e-panes></ejs-splitter>'
})
export class AppComponent {

}

content string|HTMLElement

Specifies the content of split pane as plain text, HTML markup, or any other JavaScript controls.

cssClass string

Specifies the CSS class names that defines specific user-defined
styles and themes to be appended on corresponding pane of the Splitter.
It is used to customize the Splitter control panes.
One or more custom CSS classes can be specified to the Splitter panes.

max string

Specifies the maximum size of a pane. The pane cannot be resized if it is more than the specified maximum limit.

min string

Specifies the minimum size of a pane. The pane cannot be resized if it is less than the specified minimum size.

resizable boolean

Specifies the value whether a pane is resizable. By default, the Splitter is resizable in all panes.
You can disable this for any specific panes using this property.

size string

Configures the properties for each pane.

How can I help you?
PanePropertiesModel
12 Sep 20252 minutes to read
Interface for a class PaneProperties
Properties
collapsed boolean
Specifies whether a pane is collapsed or not collapsed at the initial rendering of splitter.
<<template>
<ejs-splitter height="110px">
<e-panes>
<e-pane collapsed=true></e-pane>
<e-pane collapsed=true></e-pane>
</e-panes>
</ejs-splitter>
</template>
<script>
import Vue from "vue";
import { SplitterPlugin } from "@syncfusion/ej2-vue-layouts";
Vue.use(SplitterPlugin);
export default Vue.extend({
data: function() {
return {};
}
});
</script>collapsible boolean
Specifies whether a pane is collapsible or not collapsible.
<<template>
<ejs-splitter height="110px">
<e-panes>
<e-pane collapsible=true></e-pane>
<e-pane collapsible=true></e-pane>
</e-panes>
</ejs-splitter>
</template>
<script>
import Vue from "vue";
import { SplitterPlugin } from "@syncfusion/ej2-vue-layouts";
Vue.use(SplitterPlugin);
export default Vue.extend({
data: function() {
return {};
}
});
</script>content string|HTMLElement
Specifies the content of split pane as plain text, HTML markup, or any other JavaScript controls.
cssClass string
Specifies the CSS class names that defines specific user-defined
styles and themes to be appended on corresponding pane of the Splitter.
It is used to customize the Splitter control panes.
One or more custom CSS classes can be specified to the Splitter panes.
max string
Specifies the maximum size of a pane. The pane cannot be resized if it is more than the specified maximum limit.
min string
Specifies the minimum size of a pane. The pane cannot be resized if it is less than the specified minimum size.
resizable boolean
Specifies the value whether a pane is resizable. By default, the Splitter is resizable in all panes.
You can disable this for any specific panes using this property.
size string
Configures the properties for each pane.